Bug 1381272 - No ISC DHCPv6 support in smart-proxy.
Summary: No ISC DHCPv6 support in smart-proxy.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: DHCP & DNS
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 14:29 UTC by Perry Gagne
Modified: 2018-09-04 17:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:45:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15613 0 None None None 2016-10-03 14:28:59 UTC
Github theforeman smart-proxy pull 441 0 None None None 2016-10-03 14:36:59 UTC
Red Hat Bugzilla 1200095 0 high ON_QA [RFE] IPv6 Full Feature Support for Satellite 6 2021-04-05 15:08:38 UTC

Description Perry Gagne 2016-10-03 14:29:00 UTC
Description of problem:
Smart-proxy does not yet support DHCPv6. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://github.com/theforeman/smart-proxy/pull/441

Comment 1 Perry Gagne 2016-10-03 14:37:00 UTC
Sorry hit submit to soon. 

While trying to test bare metal provisioning and IPv6 I discovered we don't yet have support in Smart Proxy in Satellite 6.3 for using ISC DHCP and IPv6. 

See the following pull requests and issues
https://github.com/theforeman/smart-proxy/pull/441
http://projects.theforeman.org/issues/15613
http://projects.theforeman.org/issues/15612

Comment 3 Bryan Kearney 2016-10-03 16:20:38 UTC
Upstream bug component is Capsule

Comment 4 Brad Buckingham 2016-10-04 17:31:29 UTC
Daniel, is this expected behavior for Satellite 6.3?

Comment 6 Daniel Lobato Garcia 2016-10-13 06:48:46 UTC
Yes, 6.3 does not ship any DHCPv6 provisioning yet.

Comment 7 Bryan Kearney 2016-10-18 16:20:24 UTC
Upstream bug component is Uncategorized

Comment 8 Bryan Kearney 2016-12-15 15:51:40 UTC
Upstream bug component is Capsule

Comment 9 Bryan Kearney 2016-12-15 17:18:02 UTC
Upstream bug component is DHCP & DNS

Comment 11 Bryan Kearney 2018-09-04 17:45:57 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.